Bug 926099 - [abrt] gdb-7.5.1-36.fc18: bfd_getl32: Process /usr/bin/gdb was killed by signal 7 (SIGBUS) [NEEDINFO]
Summary: [abrt] gdb-7.5.1-36.fc18: bfd_getl32: Process /usr/bin/gdb was killed by sign...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Kratochvil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:44ad132626f4422193036b00d7b...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-23 15:25 UTC by Yasser Rabi
Modified: 2014-05-02 09:41 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-02-05 20:14:15 UTC
jan.kratochvil: needinfo? (yachironi)


Attachments (Terms of Use)
File: backtrace (10.54 KB, text/plain)
2013-03-23 15:25 UTC, Yasser Rabi
no flags Details
File: cgroup (129 bytes, text/plain)
2013-03-23 15:25 UTC, Yasser Rabi
no flags Details
File: core_backtrace (1.88 KB, text/plain)
2013-03-23 15:25 UTC, Yasser Rabi
no flags Details
File: dso_list (3.38 KB, text/plain)
2013-03-23 15:25 UTC, Yasser Rabi
no flags Details
File: environ (1.92 KB, text/plain)
2013-03-23 15:25 UTC, Yasser Rabi
no flags Details
File: limits (1.29 KB, text/plain)
2013-03-23 15:25 UTC, Yasser Rabi
no flags Details
File: maps (16.13 KB, text/plain)
2013-03-23 15:25 UTC, Yasser Rabi
no flags Details
File: open_fds (574 bytes, text/plain)
2013-03-23 15:25 UTC, Yasser Rabi
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2013-03-23 15:26 UTC, Yasser Rabi
no flags Details
File: var_log_messages (299 bytes, text/plain)
2013-03-23 15:26 UTC, Yasser Rabi
no flags Details
Coredump (621.08 KB, application/x-xz)
2013-05-17 02:43 UTC, Mario Lamas
no flags Details

Description Yasser Rabi 2013-03-23 15:25:36 UTC
Version-Release number of selected component:
gdb-7.5.1-36.fc18

Additional info:
backtrace_rating: 4
cmdline:        gdb -batch -ex 'set debug-file-directory /' -ex 'file /usr/libexec/kde4/drkonqi' -ex 'core-file ./coredump' -ex 'thread apply all backtrace 2048 full' -ex 'info sharedlib' -ex 'print (char*)__abort_msg' -ex 'print (char*)__glib_assert_msg' -ex 'info registers' -ex disassemble
crash_function: bfd_getl32
executable:     /usr/bin/gdb
kernel:         3.8.3-203.fc18.x86_64
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 bfd_getl32 at ../../bfd/libbfd.c:623
 #1 read_initial_length at ../../gdb/dwarf2-frame.c:1540
 #2 decode_frame_entry_1 at ../../gdb/dwarf2-frame.c:1851
 #3 decode_frame_entry at ../../gdb/dwarf2-frame.c:2149
 #4 dwarf2_build_frame_info at ../../gdb/dwarf2-frame.c:2306
 #5 dwarf2_frame_find_fde at ../../gdb/dwarf2-frame.c:1763
 #6 dwarf2_frame_sniffer at ../../gdb/dwarf2-frame.c:1396
 #7 frame_unwind_find_by_frame at ../../gdb/frame-unwind.c:112
 #8 get_frame_type at ../../gdb/frame.c:2232
 #9 print_frame_info at ../../gdb/stack.c:771

Comment 1 Yasser Rabi 2013-03-23 15:25:41 UTC
Created attachment 715113 [details]
File: backtrace

Comment 2 Yasser Rabi 2013-03-23 15:25:43 UTC
Created attachment 715114 [details]
File: cgroup

Comment 3 Yasser Rabi 2013-03-23 15:25:45 UTC
Created attachment 715115 [details]
File: core_backtrace

Comment 4 Yasser Rabi 2013-03-23 15:25:48 UTC
Created attachment 715116 [details]
File: dso_list

Comment 5 Yasser Rabi 2013-03-23 15:25:50 UTC
Created attachment 715117 [details]
File: environ

Comment 6 Yasser Rabi 2013-03-23 15:25:52 UTC
Created attachment 715118 [details]
File: limits

Comment 7 Yasser Rabi 2013-03-23 15:25:55 UTC
Created attachment 715119 [details]
File: maps

Comment 8 Yasser Rabi 2013-03-23 15:25:58 UTC
Created attachment 715120 [details]
File: open_fds

Comment 9 Yasser Rabi 2013-03-23 15:26:00 UTC
Created attachment 715121 [details]
File: proc_pid_status

Comment 10 Yasser Rabi 2013-03-23 15:26:03 UTC
Created attachment 715122 [details]
File: var_log_messages

Comment 11 Jan Kratochvil 2013-03-24 13:03:01 UTC
Could you provide this core file of GDB?  The file "coredump" somewhere under /var/spool/abrt/ .

Particularly I am interested in ((struct objfile *)0x33ba710)->name wrt:
#4  0x00000000005fafc9 in dwarf2_build_frame_info (objfile=objfile@entry=0x33ba710) at ../../gdb/dwarf2-frame.c:2306

Comment 12 Mario Lamas 2013-05-13 03:36:54 UTC
This problem is being reported outdate, I don't remember what I was doing.

backtrace_rating: 4
cmdline:        gdb -batch -ex 'set debug-file-directory /' -ex 'file /usr/bin/gnome-shell' -ex 'core-file ./coredump' -ex 'thread apply all backtrace 1024 full' -ex 'info sharedlib' -ex 'print (char*)__abort_msg' -ex 'print (char*)__glib_assert_msg' -ex 'info registers' -ex disassemble
crash_function: bfd_getl32
executable:     /usr/bin/gdb
kernel:         3.8.11-200.fc18.x86_64
package:        gdb-7.5.1-38.fc18
reason:         Process /usr/bin/gdb was killed by signal 11 (SIGSEGV)
uid:            0
ureports_counter: 1

Comment 13 Jan Kratochvil 2013-05-14 20:36:09 UTC
Could you provide this core file of GDB?  The file "coredump" somewhere under /var/spool/abrt/ .

Comment 14 Mario Lamas 2013-05-14 21:18:59 UTC
I found a file called coredump in /var/spool/abrt/ccpp-2013-04-29-13:06:42-1515 . Is this the file that you are asking for?

Comment 15 Jan Kratochvil 2013-05-15 13:53:53 UTC
Yes, thanks.  Although you have probably at least 2 coredump files there, one from gnome-shell and one from gdb (which crashed trying to analyze the gnome-shell crash).

Just be aware the coredump files may contain sensitive information contained in the crashed process.  I do not know if gnome-shell may contain any passwords or so, I doubt so.

You can "xz -9" it and attach it to this Bug or anywhere else.  If it is too big I could also provide you FTP access.

Comment 16 Mario Lamas 2013-05-17 02:43:40 UTC
Created attachment 749139 [details]
Coredump

Comment 17 Jan Kratochvil 2013-05-26 12:02:03 UTC
Thanks, this core file is from "/usr/libexec/tracker-miner-fs" which probably caused GDB to crash when analysing it.

Unfortunately GDB does not crash here for me on that core file, either
 - my system does not match yours well enough (such as I haven't found
   the needed versions/builds of several shared libraries)
or
 - the GDB crash just is not reproducible (even on your system).

Could you find and attach also the coredump file of gdb itself?
It should be also somewhere under /var/spool/abrt/ , thanks.

Comment 18 Mario Lamas 2013-05-26 18:24:23 UTC
I only have two elements in the directory /var/spool/abrt :

- A directory called ccpp-2013-04-29-13:06:42-1515
- A file called last-ccpp

I can't find anything with the name gdb.

Comment 19 Fedora End Of Life 2013-12-21 12:25:14 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Fedora End Of Life 2014-02-05 20:14:15 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.